/* ======= reset styles =======*/

* {
        margin: 0;
        padding: 0;
        box-sizing: border-box;
}

html {
        scroll-behavior: smooth;
}

ul,
ol {
        list-style: none;
}

a {
        text-decoration: none;
        color: inherit;
}

img {
        max-width: 100%;
        display: block;
}

button,
input,
textarea,
select {
        font: inherit;
        background: none;
        border: none;
        outline: none;
}

html,

body {
        font-family: "Antonio", sans-serif;
        font-optical-sizing: auto;
        font-style: normal;
        font-weight: 400;
        background-color: var(--color-dark);
        color: var(--color-light);
}


/* ==== variable styles ====== */

:root {
        --bp-mobile: 375px;
        --bp-tablet: 768px;
        --bp-desktop: 1200px;
        --color-dark: #01110A;
        --color-primary: #003E1F;
        --color-primary-light: #73BA9B;
        --color-accent: #BA2D0B;
        --color-light: #D5F2E3;

}

.container {
        width: 100%;
        margin: 0 auto;
        padding: 0 16px;
}

.section-header {
        font-size: 32px;
        font-family: "Anton", sans-serif;
        font-weight: 700;
        margin-bottom: 48px;
        writing-mode: vertical-rl;
        transform: rotate(180deg);
        align-self: flex-start;
}

.divid {
        width: 100%;
        height: 40px;
        background: linear-gradient(40deg,
                        var(--color-primary) 0%,
                        var(--color-primary) 30%,
                        var(--color-dark) 30%,
                        var(--color-dark) 100%)
}

.divid-green {
        width: 100%;
        height: 40px;
        background: linear-gradient(40deg,
                        transparent 0%,
                        transparent 30%,
                        var(--color-primary) 30%,
                        var(--color-primary) 100%);
}







@media (min-width: 768px) {
        .container {
                max-width: 768px;
                padding: 0 24px;
        }

        .section-header {
                font-size: 56px;
        }


}

@media (min-width: 1200px) {
        .container {
                max-width: 1200px;
                padding: 0 32px;
        }

        .section-header {
                font-size: 56px;
        }


}




/* ===== header styles ====== */

.header {
        padding: 16px 0;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        width: 100%;
}

.nav-desk {
        display: none;

}

.nav-menu-button {
        fill: var(--color-primary-light);
}

.nav-menu-close-button {

        fill: var(--color-accent);
        align-self: flex-end;
}

.mobile-backdrop {
        position: fixed;
        inset: 0;
        background: rgba(0, 0, 0, 0.5);
        z-index: 9;

        opacity: 0;
        pointer-events: none;
        transition: opacity 0.3s ease;
}

.mobile-backdrop.active {
        opacity: 1;
        pointer-events: auto;
}

.mobile-menu {
        position: fixed;
        top: 0;
        right: -100%;
        width: 80%;
        max-width: 320px;
        height: 100vh;
        background-color: var(--color-primary);
        box-shadow: -2px 0 12px rgba(0, 0, 0, 0.2);
        z-index: 10;
        padding: 24px;
        display: flex;
        flex-direction: column;
        gap: 72px;

        transition:
                right 0.4s ease-in-out,
                opacity 0.3s ease,
                transform 0.4s ease;

        opacity: 0;
        transform: translateX(50px);
}

.mobile-menu.active {
        right: 0;
        opacity: 1;
        transform: translateX(0);
}

.nav-mobile {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 32px;
}


.logo {
        display: flex;
        align-items: center;
        gap: 8px;
        color: #fff;
}

.logo-img {
        fill: var(--color-primary-light);

}

.logo-text {
        font-size: 20px;
        font-weight: 700;
        font-family: "Anton", sans-serif;
        color: inherit;
}

.nav-item {
        position: relative;
        transition: color 0.3s ease;
        font-size: 18px;
}



.logo:hover,
.logo:focus {
        color: var(--color-accent-light);
        transition: color 0.3s ease;
}

.nav-item::after {
        content: "";
        position: absolute;
        left: 50%;
        bottom: -8px;

        width: 100%;
        height: 2px;
        background-color: var(--color-accent);

        transform: translateX(-50%) scaleX(0);
        transform-origin: center;

        transition: transform 0.3s ease;
}

.nav-item:hover,
.nav-item:focus {
        color: var(--color-accent);
        transition: color 0.3s ease;
}

.nav-item:hover::after,
.nav-item:focus::after {
        transform: translateX(-50%) scaleX(1);
}

@media (min-width: 768px) {


        .header {
                padding: 20px 0;
        }

        .nav-desk {
                display: flex;
                gap: 42px;
        }

        .nav-menu-button {
                display: none;
        }

        .nav-menu-close-button {
                cursor: pointer;
                transition: all 0.3s ease;
        }

        .nav-menu-close-button:hover,
        .nav-menu-close-button:focus {
                fill: var(--secondary-color);
                transition: all 0.3s ease;
        }


        .mobile-menu {
                display: none;
        }

        .logo-text {
                font-size: 24px;
        }
}

/* ===== hero section styles =====*/

.hero {
        position: relative;
}

.hero-text-wrapper {
        padding: 104px 0 80px 0;
        display: flex;
        gap: 8px;
        flex-direction: column;
        position: relative;
}

.hero-title {
        font-size: 40px;
        font-family: "Anton", sans-serif;
        font-weight: 700;
        line-height: 1.2;
        color: #fff;
}

.hero-subtitle {
        font-size: 24px;
        font-weight: 400;
        line-height: 1.2;
        font-family: "Anton", sans-serif;
}

.hero-img {
        width: 100%;
        height: 228px;
        background: url(./assets/hero.jpg) no-repeat center/cover;
        position: relative;
        animation: slowZoom 30s ease-in-out infinite, slowPan 60s ease-in-out infinite;
        ;
}

.hero-img::after {
        content: "";
        position: absolute;
        inset: 0;
        pointer-events: none;
        background: radial-gradient(ellipse at center,
                        rgba(0, 0, 0, 0) 55%,
                        rgba(0, 0, 0, 0.35) 100%);
}

.hero-link {
        position: absolute;
        bottom: -32px;
        right: 0px;
        color: var(--color-primary-light);
        padding: 12px 24px;
        border-radius: 4px;
        font-size: 32px;
        display: flex;
        flex-direction: row;
        align-items: baseline;
        gap: 8px;
        transition: all 0.3s ease;
        z-index: 1;

}

.hero-link:hover,
.hero-link:focus {
        color: var(--color-accent);
        transition: all 0.3s ease;
}

.hero-link-icon {
        fill: var(--color-light);
        width: 32px;
        height: 32px;
        background-color: var(--color-accent);
        padding: 4px;
}

@media (min-width: 768px) {
        .hero-img {
                height: 400px;
        }

        .hero-title {
                font-size: 52px;
        }

        .hero-subtitle {
                font-size: 28px;
        }

}

@media (min-width: 1200px) {
        .hero-img {
                height: 610px;
                width: 916px;
        }

        .hero-title {
                font-size: 64px;
                position: absolute;
                top: -16px;
                left: 24px;
                width: 600px;
                z-index: 1;
        }

        .hero-subtitle {
                font-size: 32px;
                position: absolute;
                top: 84px;
                left: 24px;
                width: 320px;
                z-index: 1;
        }

        .hero {
                display: flex;
                flex-direction: row;
                align-items: center;
                justify-content: space-between;
        }

}

/*=====services section styles=====*/

.services {
        background-color: var(--color-primary);
        padding: 84px 0 16px 0;
}

.services-header-wrapper {
        display: flex;
        flex-direction: row;
        gap: 24px;
        flex-wrap: wrap;
}

.services-header-img {
        width: 266px;
        height: auto;

}

.services-header-text {
        font-size: 20px;
}

.accordion {
        width: 100%;
        margin: 48px 0;
        display: flex;
        flex-direction: column;
        gap: 12px;
}

.accordion-item {
        margin-bottom: 10px;
        overflow: hidden;
}

.accordion-item::after {
        content: "";
        display: block;
        height: 1px;
        background-color: var(--color-primary-light);
        margin-top: 16px;
        width: 100%;
}

.accordion-header {
        padding: 16px;
        cursor: pointer;
        display: flex;
        justify-content: space-between;
        align-items: center;
        transition: all 0.3s ease;
        color: var(--color-light);
        font-size: 20px;

}

.accordion-header:hover {
        color: var(--color-primary-light);
        transition: all 0.3s ease;
}

.accordion-content {
        max-height: 0;
        overflow: hidden;
        padding: 0 16px;
        transition: max-height 0.3s ease, padding 0.3s ease;
        color: var(--color-primary-light);
        font-size: 20px;
}


.arrow {
        display: inline-block;
        transition: transform 0.3s ease;
        fill: var(--color-accent);
}

.arrow.open {
        transform: rotate(90deg);
}

@media (min-width: 768px) {
        .services {
                padding: 100px 0 24px 0;
        }

        .services-header-wrapper {
                gap: 48px;
        }

        .services-header-img {
                width: 320px;

        }

        .services-header-wrapper {
                gap: 16px;
        }

        .accordion {
                margin: 52px 0;
        }

}

@media (min-width: 1200px) {
        .services {
                padding: 124px 0 48px 0;
        }

        .services-header-img {
                width: 588px;

        }

        .services-header-text {
                font-size: 24px;
                max-width: 423px;
                align-self: center;
        }

        .accordion {
                margin: 60px 0;
                flex-direction: row;
                flex-wrap: wrap;
                justify-content: space-between;
        }

        .accordion-item {
                max-width: 520px;
        }
}

/*===== about section styles =====*/
.about-header-wrapper {
        display: flex;
        flex-direction: row;
        gap: 24px;
        flex-wrap: wrap;
        margin-top: 120px;
}

.about-header-img {
        width: 266px;
        height: auto;
}

.about-header-text {
        font-size: 20px;
}

.about {
        margin-top: 32px;
        margin-bottom: 64px;
        display: flex;
        flex-direction: row;
        justify-content: center;
        gap: 24px;
        flex-wrap: wrap;

}

.about-text {
        font-size: 20px;
        line-height: 1.6;
}

.about-img {
        height: auto;
        max-width: 320px;
        object-fit: cover;
}

@media (min-width: 768px) {
        .about-header-wrapper {
                margin-top: 128px;
        }

        .about-header-text {
                font-size: 24px;
        }

        .about-header-img {

                width: 302px;

        }

        .about {
                gap: 32px;
                margin-top: 42px;
                margin-bottom: 78px;
        }
}

@media (min-width: 1200px) {
        .about-header-wrapper {
                margin-top: 134px;
        }

        .about-header-img {
                width: 320px;

        }

        .about-header-text {
                max-width: 620px;
                align-self: center;
        }

        .about-text {
                font-size: 24px;
                max-width: 480px;
                align-self: center;
        }

        .about-img {
                max-width: 508px;
        }
}

.stone-divider {
        width: 100%;
        height: 8px;
        background-color: var(--color-accent);
}




@media (min-width: 768px) {}

@media (min-width: 1200px) {


        .stone-divider {
                width: 100%;
                height: 80px;
                background:
                        radial-gradient(ellipse at center,
                                rgba(0, 0, 0, 0) 40%,
                                rgba(0, 0, 0, 0.75) 100%),
                        url(./assets/stone.jpg) center / cover no-repeat fixed;
        }
}


/*==== footer styles =====*/
.footer-wrapper {
        padding: 64px 0;
        display: flex;
        flex-direction: row;
        align-items: start;
        gap: 24px;
        justify-content: space-between;
}

.footer-address {
        font-size: 20px;
        line-height: 1.4;
        color: var(--color-primary-light);
        font-style: normal;
        text-align: right;
        display: flex;
        flex-direction: column;
        gap: 16px;
}

.footer-address a {
        color: var(--color-light);
        transition: color 0.3s ease;
}

.footer-address a:hover,
.footer-address a:focus {
        color: var(--color-accent);
        transition: color 0.3s ease;
}

.footer-social-link {
        fill: var(--color-light);

        transition: fill 0.3s ease;
}

.footer-social-link:hover,
.footer-social-link:focus {
        fill: var(--color-accent)
}

.footer-text {
        font-size: 16px;
        color: var(--color-primary-light);
        line-height: 1.4;
        background-color: var(--color-primary);
        padding: 8px;
}


@media (min-width: 768px) {
        .footer-address {
                font-size: 24px;
        }

        .footer-text {
                font-size: 18px;
        }

        .footer-wrapper {
                padding: 80px 0;
        }
}

@media (min-width: 1200px) {




        .footer-wrapper {
                padding: 96px 0;
        }
}

/*=====animation styles =====*/

@keyframes slowZoom {
        0% {
                background-size: 100%;
        }

        50% {
                background-size: 110%;
        }

        100% {
                background-size: 100%;
        }
}

@keyframes slowPan {
        0% {
                background-position: center top;
        }

        50% {
                background-position: center center;
        }

        100% {
                background-position: center top;
        }
}